%define _name gnome-blog
%define ver_major 0.9

Name: gnome-applets-extra-%_name
Version: %ver_major.2
Release: alt1

Summary: A blogger applet for GNOME panel
Group: Graphical desktop/GNOME
License: GPLv2+
Url: http://live.gnome.org/GnomeBlog
Source: http://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

Requires(pre,post): GConf

BuildRequires: rpm-build-gnome intltool >= 0.35.0 desktop-file-utils
BuildRequires: python-module-pygtk-devel libGConf-devel

%description
gnome-blog is a panel applet that can post to bloggerAPI compatible
blogs including blogger.com, pyblosxom, and moveable-type.

%define _libexecdir %gnome_appletsdir

%prep
%setup -q -n %_name-%version

rm -f *.desktop *.server.in

%build
export am_cv_python_pythondir=%python_sitelibdir
%configure --disable-schemas-install
%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %_name

%post
%gconf2_install gnomeblog

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall gnomeblog
fi

%files -f %_name.lang
%_bindir/*
%_libexecdir/*
%bonobo_serversdir/*
%_datadir/gnome-2.0/ui/*.xml
%python_sitelibdir/*
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/*/*
%config %gconf_schemasdir/gnomeblog.schemas
%doc README AUTHORS ChangeLog NEWS

%changelog
* Fri Mar 12 2010 Yuri N. Sedunov <aris@altlinux.org> 0.9.2-alt1
- first build for Sisyphus

